# ufs2_dinode Struct Reference

`#include <ufs.h>`

## Data Fields

ufs_time_t | di_atime
int32_t | di_atimensec
int32_t | di_birthnsec
ufs_time_t | di_birthtime
u_int32_t | di_blksize
u_int64_t | di_blocks
ufs_time_t | di_ctime
int32_t | di_ctimensec
ufs2_daddr_t | di_db [12]
ufs2_daddr_t | di_extb [2]
int32_t | di_extsize
u_int32_t | di_flags
int32_t | di_gen
u_int32_t | di_gid
ufs2_daddr_t | di_ib [3]
u_int32_t | di_kernflags
u_int16_t | di_mode
ufs_time_t | di_mtime
int32_t | di_mtimensec
int16_t | di_nlink
u_int64_t | di_size
int64_t | di_spare [3]
u_int32_t | di_uid

## Detailed Description

Definition at line 124 of file ufs.h.

## Field Documentation

ufs_time_t ufs2_dinode::di_atime

Definition at line 132 of file ufs.h.

int32_t ufs2_dinode::di_atimensec

Definition at line 137 of file ufs.h.

int32_t ufs2_dinode::di_birthnsec

Definition at line 139 of file ufs.h.

ufs_time_t ufs2_dinode::di_birthtime

Definition at line 135 of file ufs.h.

u_int32_t ufs2_dinode::di_blksize

Definition at line 129 of file ufs.h.

u_int64_t ufs2_dinode::di_blocks

Definition at line 131 of file ufs.h.

ufs_time_t ufs2_dinode::di_ctime

Definition at line 134 of file ufs.h.

int32_t ufs2_dinode::di_ctimensec

Definition at line 138 of file ufs.h.

ufs2_daddr_t ufs2_dinode::di_db[12]

Definition at line 145 of file ufs.h.

Referenced by fsread().

ufs2_daddr_t ufs2_dinode::di_extb[2]

Definition at line 144 of file ufs.h.

int32_t ufs2_dinode::di_extsize

Definition at line 143 of file ufs.h.

u_int32_t ufs2_dinode::di_flags

Definition at line 142 of file ufs.h.

int32_t ufs2_dinode::di_gen

Definition at line 140 of file ufs.h.

u_int32_t ufs2_dinode::di_gid

Definition at line 128 of file ufs.h.

ufs2_daddr_t ufs2_dinode::di_ib[3]

Definition at line 146 of file ufs.h.

Referenced by fsread().

u_int32_t ufs2_dinode::di_kernflags

Definition at line 141 of file ufs.h.

u_int16_t ufs2_dinode::di_mode

Definition at line 125 of file ufs.h.

ufs_time_t ufs2_dinode::di_mtime

Definition at line 133 of file ufs.h.

int32_t ufs2_dinode::di_mtimensec

Definition at line 136 of file ufs.h.

int16_t ufs2_dinode::di_nlink

Definition at line 126 of file ufs.h.

u_int64_t ufs2_dinode::di_size

Definition at line 130 of file ufs.h.

Referenced by fsread().

int64_t ufs2_dinode::di_spare[3]

Definition at line 147 of file ufs.h.

u_int32_t ufs2_dinode::di_uid

Definition at line 127 of file ufs.h.

The documentation for this struct was generated from the following file:

- src/sys/include/ufs/ufs.h